<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-20T21:58:36Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2025-03-18T21:46:01Z</TimeStamp>
    <ReleaseNote>Adds additional decoration into communication logs</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-07T17:53:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Verified using datapro versions 4.0.1203.52145,4.2.539.52146 and 4.4.149.51913
 
Added test to testrail to cover this new feature..  verify Log File now now contain keys for fw response to commands - TestRail
 
 
Tests Performed:
 
 
 
 
Open Datapro and navigate to Data Recorders Tab
 
In Data Recorders tab &gt; Click Discover Hardware then click to enable the Auto discovery button , then click the Scan All button near the top.
 
Once your hw is shown on the Add/Update das list select it then click the query selected button and click save.
 
Check the datapro Log file and verify that the command responses now contain a key entry and give information about the key ( should look similar to the example below) previous version of datapro did not contain the key for the responses
 
 
 
 
 
Expected Result
 
 
 
 
The Log file contains attribute key information for fw responses to commands .</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2025-03-07T17:53:19Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2025-03-06T23:45:04Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-06T23:13:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.4@52145
 
This is a feature, so no work around.
 
Feature is firmware responses in DataPRO.log now contain keys for commands which involve keys, like information commands and attribute commands.
 
To observe the difference, look at an old log and a new log.  Pre-patch firmware responses will not contain the key, post patch they will.  There's an example of a post response log earlier in the ticket.
 
Test 1) Testing log present
 
Discover hardware in DataPRO.  View log.  Pass is if Query attribute and information commands contain key information.</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2025-03-06T23:12:51Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>request from nate
 
 
 
example of f/w response containing key</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-06T22:57:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2025-03-06T20:08:29Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-06T20:05:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2025-03-06T20:05:53Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2025-03-06T20:05:35Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Chris Balogh</User>
    <Comment />
    <StatusString>Opened</StatusString>
    <TimeStamp>2025-03-06T20:05:34Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>